View Issue Details

IDProjectCategoryView StatusLast Update
0008519VALENTINA STUDIOSQLpublic2019-05-13 18:00
ReporterChris ZakrewskyAssigned ToRuslan Zasukhin 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
PlatformINTELOSWindowsOS Version*
Product Version9.0.x 
Target VersionFixed in Version9.1.x 
Summary0008519: SqlAnalyser show not resolved idents in the valid query with FIRST( ... ORDER BY ...)
DescriptionWhy Analyser finds errors in YOUR examples?
TagsNo tags attached.
Working with DB:Not specified
Version of your DB

Activities

Chris Zakrewsky

Chris Zakrewsky

2019-05-03 18:29

reporter  

Screenshot from 2019-05-03 20-22-00.png (78,393 bytes)
Ruslan Zasukhin

Ruslan Zasukhin

2019-05-07 10:46

administrator   ~0010780

Can you add URL of WIKI page where from this snapshot?
I cannot find it
Ruslan Zasukhin

Ruslan Zasukhin

2019-05-07 10:49

administrator   ~0010781

ok I have found wiki page
 http://valentina-db.com/docs/dokuwiki/v9/doku.php?id=valentina:articles:sql_selecting_from_groups

I wonder, so you have to copy paste this SQL query into SQL Editor?

But which database is opened at this moment?

@Unresolved Ident@ means that SQL Analyzer cannot find some IDENT in your current db.
Chris Zakrewsky

Chris Zakrewsky

2019-05-07 11:10

reporter   ~0010782

The error I described comes from my database.
The SQL query is strictly based on your example.

Sorry for the confusion.

The weird thing is, that this query works very well.
This makes me wonder why Analyser is complaining?

Can this be because table structure?
Chris Zakrewsky

Chris Zakrewsky

2019-05-07 11:14

reporter   ~0010783

Just in case, here is this table in attachment.

EntityId_20190507_131248.xml (1,647 bytes)
Ruslan Zasukhin

Ruslan Zasukhin

2019-05-07 13:31

administrator   ~0010784

If query works ok, but Analyzer complains, this means only one -- a bug in Analyzer.

In Release Notes we did underline this, it is still an experimental thing.
We looking for exactly such cases, thank you for reporting.

I will try to reproduce and fix.
Ruslan Zasukhin

Ruslan Zasukhin

2019-05-09 08:05

administrator   ~0010794

9.1.5 or 9.2

The issue was in the ORDER BY inside of FIRST() function in the SELECT clause.

Issue History

Date Modified Username Field Change
2019-05-03 18:29 Chris Zakrewsky New Issue
2019-05-03 18:29 Chris Zakrewsky File Added: Screenshot from 2019-05-03 20-22-00.png
2019-05-07 10:46 Ruslan Zasukhin Note Added: 0010780
2019-05-07 10:49 Ruslan Zasukhin Note Added: 0010781
2019-05-07 11:10 Chris Zakrewsky Note Added: 0010782
2019-05-07 11:14 Chris Zakrewsky File Added: EntityId_20190507_131248.xml
2019-05-07 11:14 Chris Zakrewsky Note Added: 0010783
2019-05-07 13:31 Ruslan Zasukhin Note Added: 0010784
2019-05-09 08:05 Ruslan Zasukhin Assigned To => Ruslan Zasukhin
2019-05-09 08:05 Ruslan Zasukhin Status new => resolved
2019-05-09 08:05 Ruslan Zasukhin Resolution open => fixed
2019-05-09 08:05 Ruslan Zasukhin Fixed in Version => 9.1.x
2019-05-09 08:05 Ruslan Zasukhin Note Added: 0010794
2019-05-13 18:00 Ruslan Zasukhin Summary Unexplainable Analyser ERROR => SqlAnalyser show not resolved idents in the valid query with FIRST( ... ORDER BY ...)